%define name    rpmfind
%define version 1.7
%define release 4mdk

Summary:        Locate and transfer automatically RPM using HTTP and an RDF database
Name:           %{name}
Version:        %{version}
Release:        %{release}
Group:          Networking/File transfer
Source:         %{name}-%{version}.tar.bz2
URL:            http://rpmfind.net/linux/rpm2html/rpmfind.html
License:      W3C Copyright (BSD like).
BuildRoot:      %{_tmppath}/%{name}-buildroot
BuildRequires:  libxml-devel >= 1.8.6
BuildRequires:	rpm-devel
BuildRequires:	libbzip2-devel

%description
When rpmfind is asked for a resource it first asks the local RPM base,
and if it's not available, will request the associated RDF file on
a remote database. The result describes the various packages
providing these resources (distribution, vendor, version, date, etc...).

Based on that information, rpmfind sorts the various packages for
suitability.
Then it picks the first one and fetchs more complete information like
the dependencies required by this package. It then verifies that all
the dependencies needed by this package are available, and recusively
trys to locate RPM providing uninstalled resources.

At the end rpmfind shows the list of packages to fetch and the total
size needed on disk.

The database can be built using rpm2html.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build

%configure

%make CFLAGS="$RPM_OPT_FLAGS -I/usr/include/libxml2/libxml/"

%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__mkdir_p} $RPM_BUILD_ROOT%{_bindir}
%{__mkdir_p} $RPM_BUILD_ROOT%{_mandir}/man1

%{__cp} %{name}    $RPM_BUILD_ROOT%{_bindir}
%{__cp} %{name}.1  $RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES BUGS Copyright README TODO 
%doc %{_mandir}/man1/%{name}.1*
%{_bindir}/*


%changelog
* Fri Jan 24 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.7-4mdk
- rebuild

* Mon Aug 19 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.7-3mdk
- add buildrequires
- rebuild with new libintl

* Sat Mar 23 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.7-2mdk
- rebuild against new rpm
- fix build (libxml)

* Sun Jul 29 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.7-1mdk
- updated to 1.7

* Fri Jan 26 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.5-3mdk
- rebuild

* Sat Jul 29 2000 Alexander Skwar <ASkwar@DigitalProjects.com> 1.5-2mdk
- Changed group to Networking/File transfer
- More macros
- BM

* Fri Jun 7 2000 Sean P. Kane <spkane@home.com> 1.5-1mdk
- Basic Mandrakizing

* Wed Oct  6 1999 Daniel Veillard <Daniel.Veillard@w3.org>
- Preparing 1.3 release
- Corrected a problem with the man installation
- Removed XML and WWW code and reuses libwww and libxml

* Fri Apr  8 1999 Daniel Veillard <Daniel.Veillard@w3.org>
- Added man page provided by Emmanuel Rouat

* Fri Apr  2 1999 Jeff Johnson <jbj@redhat.com>
- repackage for Red Hat 6.0.
